% variables.m
% Assigns variable numbers.

vnames = {  'pi'         % 1 inflation for CPI              
            'R'          % 2 nominal interest rate
            'i'          % 3 investment            
            'k'          % 4 effective capital = v_t k_{t-1}
            'kbar'       % 5 capital
            'v'          % 6 capital utilization rate
            'l'          % 7 labor
            'lp'         % 8 private hours worked
            'lg'         % 9 public hours worked
            'y'          % 10 total output 
            'yp'         % 11 value-added of private output
            'yg'         % 12 value-added of government output
            'gd'         % 13 govt use of final goods in government production
            'GT'         % 14 govt output 
            'c'          % 15 private consumtpion
            'q'          % 16 Tobin's q				
            'rk'         % 17 real return to captial 
            'w'          % 18 aggregate real wage index 
            'wp'         % 19 private wage rate 
            'wg'         % 20 public wage rate
            'b'          % 21 govt debt
            'sb'         % 22 debt-output ratio
            'tau'        % 23 income tax rate
            'tauc'       % 24 consumption tax rate
            'r'          % 25 real interest rate check
            'z'          % 26 trasnfers 
            'mc'         % 27 real marginal cost
            't'          % 28 income tax revunue
            'tc'         % 29 consumption tax revenue
            'unemp'      % 30 unemployment
            
            
            'cstar'      % 31 cstart = c+ alphg*g  
            'lambda'     % 32
            'uw'         % 33   
            'up'         % 34
            'zL'         % 35
            
            %%%%%
 
            
            % Variables linked to observables
            'cobs'       % 36  
            'iobs'       % 37   
            'Tobs'       % 38     
            'Tcobs'      % 39
            'gdobs'      % 40   
            'wpobs'      % 41  %LGobs 
            'wgobs'      % 42 
            'bobs'       % 43 'sfdobs'
            'Robs'       % 44          
            'Piobs'      % 45
            'Lpobs'      % 46   
            'unempobs'   % 47   
            
            % Variables linked to forecast errors
            'xlambda'    % 48 lambda(t+1)
            'xpi'        % 49 pi(t+1)
            'xi'         % 50 i(t+1)
            'xq'         % 51 q(t+1)
            'xrk'        % 52 rk(t+1)
            'xtau'       % 53 tax(t+1)
            'xw'         % 54 w(t+1)
            
            'fs'         % 55 primary fiscal surplus
            'fd'         % 56 primary fiscal deficit

            
            % Variables linked to shocks
            'ua'         % 1 technology shock
            'ub'         % 2 general preference shock   
            'um'         % 3 monetary policy shock
            'ui'         % 4 investment shock in adjustment costs
            'ulab'       % 5 labor preference shock
            'ew'         % 6 wage markup shock
            'ep'         % 7 price markup shock
            'ug'         % 8 g shock to government goods purchases
            'ut'         % 9 income tax shock
            'utc'        % 10 consumption tax shock
            'uz'         % 11 z shock     
            'uwg'        % 12 wg shock
          };  
      
for j = 1:size(vnames,1)
   jnk(j,:) = strcat({'N'},vnames(j,:));
   eval([char(jnk(j,:)) ' = j;']);      
end

    
