function [obsdata] = get_data(d1,d2)

%% excel order
M_order = 'date';
M_order = char(M_order,'C');
M_order = char(M_order,'I');
M_order = char(M_order,'Gsl');
M_order = char(M_order,'TInc_sl');
M_order = char(M_order,'TC_sl');
M_order = char(M_order,'LP_emponly');
M_order = char(M_order,'WP_NIPAcomp_cpi');
M_order = char(M_order,'WGsl_NIPAcomp_cpi');
M_order = char(M_order,'R');
M_order = char(M_order,'PI');
M_order = char(M_order,'Bsl');
M_order = char(M_order,'unemp');

% Read in data from Excel
[data] = xlsread('RawData.xlsx','observables');

save data.mat data
load('data.mat')

% Construct observable vector
obsdata = data(:,1);
obsdata(:,2) = data(:,strmatch('C',M_order,'exact'));
obsdata(:,3) = data(:,strmatch('I',M_order,'exact'));
obsdata(:,4) = data(:,strmatch('WP_NIPAcomp_cpi',M_order,'exact'));
obsdata(:,5) = data(:,strmatch('WGsl_NIPAcomp_cpi',M_order,'exact')); 
obsdata(:,6) = data(:,strmatch('Gsl',M_order,'exact'));
obsdata(:,7) = data(:,strmatch('Bsl',M_order,'exact'));    
obsdata(:,8) = data(:,strmatch('TInc_sl',M_order,'exact'));
obsdata(:,9) = data(:,strmatch('TC_sl',M_order,'exact'));
obsdata(:,10) = data(:,strmatch('LP_emponly',M_order,'exact'));
obsdata(:,11) = data(:,strmatch('PI',M_order,'exact'));
obsdata(:,12) = data(:,strmatch('R',M_order,'exact'));
obsdata(:,13) = data(:,strmatch('unemp',M_order,'exact'));

d1_temp = find(obsdata(:,strmatch('date',M_order,'exact')) == d1);  
d2_temp = find(obsdata(:,strmatch('date',M_order,'exact')) == d2);
obsdata = obsdata(d1_temp:d2_temp,:)';

obsdata(10,:) = obsdata(10,:) - mean(obsdata(10,:));
obsdata(11,:) = obsdata(11,:) - mean(obsdata(11,:));
obsdata(12,:) = obsdata(12,:) - mean(obsdata(12,:));
obsdata(13,:) = obsdata(13,:) - mean(obsdata(13,:));


% Drop the date dimension
obsdata(strmatch('date',M_order,'exact'),:) = [];
